
package test;

/***
 *
 * @author jbrown
 */
public class Help {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        
        System.out.println("This package runs various p4java and other tests to isolate");
        System.out.println("problems with Jenkins P4 Plugin operations.  The goal is to ");
        System.out.println("determine if the problem is with Jenkins or the P4 Plugin, P4Java,");
        System.out.println("or Java.\n\nYou should run these tests as the jenkins OS user.");
        System.out.println("");
        System.out.println("\nGeneral Syntax:");
        System.out.println("   java -cp JenkinsOps.jar <command>  <args>");
        System.out.println("");
        System.out.println("Add Java system properties before the -cp. For example:");
        System.out.println("   java -DsecureSocketEnabledProtocols=TLSv1.2 -cp JenkinsOps.jar <command> <args>");
        System.out.println("");
        System.out.println("A P4Java uri looks like 'p4java://host:port' or 'p4javassl://host:port'");
        System.out.println("");
        System.out.println("\nThe command and args are:");
        
        
        System.out.println("");
        Reconcile.printSyntax();
        
        System.out.println("");
        Sync.printSyntax();
        
        System.out.println("");
        StreamingSync.printSyntax();
        
        System.out.println("");
        Link.printSyntax();
        
    }

}
